Bug 8500 - koha-remove needs a --force switch
Summary: koha-remove needs a --force switch
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Bugs List
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-25 02:17 UTC by Chris Nighswonger
Modified: 2015-06-04 23:23 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Nighswonger 2012-07-25 02:17:15 UTC
When running koha-remove, if the db for the instance being removed has been previously dropped, koha-remove throws an error and exits. We should add a --force switch so that koha-remove can be made to continue with the cleanup regardless of what errors it encounters. Of course appropriate warnings should be announced.
Comment 1 Robin Sheat 2012-07-25 08:36:32 UTC
Yes, we definitely should. This bothers me whenever I'm testing the create/remove scripts.
Comment 2 Liz Rea 2013-02-21 21:26:38 UTC
I just came up against this - very annoying.
Comment 3 Reed Wade 2014-06-26 21:33:30 UTC
Has this already been fixed? The current script seems to already deal with the case of the db not existing.

Are there other cases that need coasting over?
Comment 4 Robin Sheat 2014-06-26 23:48:16 UTC
I think the conditions have been generally improved, this probably isn't necessary any more.